import request from '@/utils/request'

//1.投诉举报信息 start ------------------------------------->

//1.1 获取投诉举报列表
export function getComplaint(params) {
  return request({
    url: '/public/getComplaint',
    method: 'get',
    params
  })
}

//1.2 查看举报信息
export function getLetterOfComplaintInfo(params) {
  return request({
    url: '/public/getLetterOfComplaintInfo',
    method: 'get',
    params
  })
}

//1.3 添加投诉举报信息
export function addComplaint(data) {
  return request({
    url: '/public/addComplaint',
    method: 'post',
    data
  })
}

//1.4 修改投诉举报
export function upComplaint(data) {
  return request({
    url: '/public/upComplaint',
    method: 'post',
    data
  })
}

//1.5 查询状态
export function getLetterType(params) {
  return request({
    url: '/public/getLetterType',
    method: 'get',
    params
  })
}

//1.5 查询受理状态
export function checkMeasure(params) {
  return request({
    url: '/public/checkMeasure',
    method: 'get',
    params
  })
}

//1.6 下载文件  
export function downloadFile(params) {
  return request({
    url: '/public/downloadFile',
    method: 'get',
    params
  })
}

//1.7 删除投诉举报
export function delLetterOfComplaint(data) {
  return request({
    url: '/public/delLetterOfComplaint',
    method: 'post',
    data
  })
}

//1.投诉举报信息 end ------------------------------------->